searchNodes=[{"doc":"Functions to validate, search and retrieve digital token data sourced from the DTIF registry .","ref":"DigitalToken.html","title":"DigitalToken","type":"module"},{"doc":"Returns the registry data for a given token identifier. Arugments id is any token identifier or short name Returns registry_data or raises an exception Example DigitalToken . get_token ( &quot;BTC&quot; ) #=&gt; %DigitalToken{ header : %{ dlt_type : :blockchain , dti : &quot;4H95J0R2X&quot; , dti_type : :native , template_version : # Version &lt; 1.0 . 0 &gt; } , informative : %{ long_name : &quot;Bitcoin&quot; , public_distributed_ledger_indication : false , short_names : [ &quot;BTC&quot; , &quot;XBT&quot; ] , unit_multiplier : 100000000 , url : &quot;https://github.com/bitcoin/bitcoin&quot; } , metadata : % { ... ..","ref":"DigitalToken.html#get_token!/1","title":"DigitalToken.get_token!/1","type":"function"},{"doc":"Returns the registry data for a given token identifier. Arugments id is any token identifier or short name Returns {:ok, registry_data} or {:error, {exception, id}} Example DigitalToken . get_token ( &quot;BTC&quot; ) #=&gt; {:ok, % DigitalToken { header : %{ dlt_type : :blockchain , dti : &quot;4H95J0R2X&quot; , dti_type : :native , template_version : # Version &lt; 1.0 . 0 &gt; } , informative : %{ long_name : &quot;Bitcoin&quot; , public_distributed_ledger_indication : false , short_names : [ &quot;BTC&quot; , &quot;XBT&quot; ] , unit_multiplier : 100000000 , url : &quot;https://github.com/bitcoin/bitcoin&quot; } , metadata : % { ... ..","ref":"DigitalToken.html#get_token/1","title":"DigitalToken.get_token/1","type":"function"},{"doc":"Returns a mapping of digital token short names to digital token identifiers.","ref":"DigitalToken.html#short_names/0","title":"DigitalToken.short_names/0","type":"function"},{"doc":"Returns a map of the digital tokens in the dtif registry .","ref":"DigitalToken.html#tokens/0","title":"DigitalToken.tokens/0","type":"function"},{"doc":"Validates a token identifier or short name and returns the token identifier or an error. Arguments id is any token identifier or short name Returns {:ok, token_id} or {:error, {exception, id}} Example iex&gt; DigitalToken . validate_token ( &quot;BTC&quot; ) { :ok , &quot;4H95J0R2X&quot; } iex&gt; DigitalToken . validate_token ( &quot;Bitcoin&quot; ) { :ok , &quot;4H95J0R2X&quot; } iex&gt; DigitalToken . validate_token ( &quot;Nothing&quot; ) { :error , { DigitalToken.UnknownTokenError , &quot;Nothing&quot; } }","ref":"DigitalToken.html#validate_token/1","title":"DigitalToken.validate_token/1","type":"function"},{"doc":"A digital token may have zero of more short names associated with it. They are arbitrary strings, usually three or four characters in length. For example &quot;BTC&quot;, &quot;ETH&quot; and &quot;DOGE&quot;.","ref":"DigitalToken.html#t:short_name/0","title":"DigitalToken.short_name/0","type":"type"},{"doc":"A mapping from a short name to token identifier.","ref":"DigitalToken.html#t:short_name_map/0","title":"DigitalToken.short_name_map/0","type":"type"},{"doc":"The structure of data matching that hosted in the DTIF registry /","ref":"DigitalToken.html#t:t/0","title":"DigitalToken.t/0","type":"type"},{"doc":"token_id is a random 9-character string defined by the dtif registry that uniquely identifies a digital token.","ref":"DigitalToken.html#t:token_id/0","title":"DigitalToken.token_id/0","type":"type"},{"doc":"A mapping of digital token identifiers to the registry data for that token.","ref":"DigitalToken.html#t:token_map/0","title":"DigitalToken.token_map/0","type":"type"},{"doc":"Updates the digital token registry data.","ref":"Mix.Tasks.DigitalToken.Registry.Update.html","title":"Mix.Tasks.DigitalToken.Registry.Update","type":"task"},{"doc":"Exception raised when a digital token is unknown.","ref":"DigitalToken.UnknownTokenError.html","title":"DigitalToken.UnknownTokenError","type":"exception"},{"doc":"ISO 24165 introduces a common language for digital currencies. Up until now, digital currencies (&quot;crypto&quot;) have been an uncomfortable fit into the world of currencies which are governed by ISO 4217 . ISO 4217 does allow for private use currencies, however in common use several crypto currencies use unnoficial ISO 4217 codes that clash with the standard. The introduction of ISO 24165 (and is relationship to ISO 20022 ) creates a framework for the identification and standardisation of digital tokens. In addition, the Digital Token Identification Foundation (DTIF) has been formed to operate a registry of tokens with downloadable data making it easy to access and integrate the data into applications. This library provides a means to download and access the digital token registry. One application is the upcoming integration of digital_token into ex_money providing money operations on both ISO 4217 currencies and ISO 24165 digital tokens. Non-ISO 4217 cryptocurrency codes The following are examples of commonly-used but non-compliant ISO 4217 currency codes. This, plus the inherent flux in the number of digital currencies gave rise to ISO 24165 . Unofficial code Digits Currency Notes ADA 6 Ada ADA conflicts with ISO 4217, because AD stands for Andorra. BNB 8 Binance BNB BNB conflicts with ISO 4217, because BN stands for Brunei Darussalam. BSV 8 Bitcoin SV BSV conflicts with ISO 4217, because BS stands for Bahamas. BTC, XBT 8 Bitcoin XBT conflicts with ISO 4217, because BT stands for Bhutan. DASH 8 Dash DASH is of non-standard length. DOGE 4 Dogecoin DOGE is of non-standard length. ETH 18 Ethereum ETH conflicts with ISO 4217, because ET stands for Ethiopia. LTC 8 Litecoin LTC conflicts with ISO 4217, because LT stands for Lithuania. Installation The package can be installed by adding digital_token to your list of dependencies in mix.exs : def deps do [ { :digital_token , &quot;~&gt; 0.1.0&quot; } ] end The docs can be found at https://hexdocs.pm/digital_token .","ref":"readme.html","title":"Digital Token","type":"extras"},{"doc":"","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"This is the changelog for Digital Token version 0.1.0 released on May 8th, 2022. For older changelogs please consult the release tag on GitHub Enhancements Initial release","ref":"changelog.html#digital-token-0-1-0","title":"Changelog - Digital Token 0.1.0","type":"extras"},{"doc":"Copyright 2022 Kip Cole Licensed under the Apache License, Version 2.0 (the &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain a copy of the License at http :// www . apache . org / licenses / LICENSE - 2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.","ref":"license.html","title":"License","type":"extras"}]